Skip to main content

Get Transaction

Get transaction data by digest using LedgerService/GetTransaction. Use read masks to select fields like input, effects, and events.

Service​

sui.rpc.v2.LedgerService

Parity​

Direct

This method has a direct mapping from the JSON-RPC method sui_getTransactionBlock.

Request​

Parameters​

{
"digest": "3K9vANixTZQ49DMyt5yYeP3P8M5RupBcVFt6SZ9hquxJ",
"read_mask": {
"paths": [
"transaction",
"effects",
"events"
]
}
}

Example (grpcurl)​

grpcurl -H "x-api-key: YOUR_API_KEY" \
-d '{"digest":"3K9vANixTZQ49DMyt5yYeP3P8M5RupBcVFt6SZ9hquxJ","read_mask":{"paths":["transaction","effects","events"]}}' \
grpc.surflux.dev:443 \
sui.rpc.v2.LedgerService/GetTransaction
▶Run in Playground

Response​

The response structure is defined by the sui/rpc/v2/ledger_service.proto definition.

Response Fields​

FieldTypeDescription
transactionExecutedTransactionSee proto definition
info

For full field definitions, please refer to the Sui Protobuf definitions.